Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.tileentity
Class TileEntityCommandBlock

    java.lang.Object
      net.minecraft.tileentity.TileEntity
          net.minecraft.tileentity.TileEntityCommandBlock

All Implemented Interfaces:
  ICommandSender

    public class TileEntityCommandBlock

extends TileEntity
implements ICommandSender

Field Summary

Fields inherited from class net.minecraft.tileentity.TileEntity
`blockMetadata, blockType, worldObj, xCoord, yCoord, zCoord`

Constructor Summary
`TileEntityCommandBlock()`

Method Summary
`boolean` | `canCommandSenderUseCommand(int par1, String par2Str)` Returns true if the command sender is allowed to use the given command.
`void` | `executeCommandOnPowered(World par1World)` Execute the command, called when the command block is powered.
`String` | `getCommand()`
`String` | `getCommandSenderName()` Gets the name of this command sender (usually username, but possibly "Rcon")
`Packet` | `getDescriptionPacket()` Overriden in a sign to provide the text.
`ChunkCoordinates` | `getPlayerCoordinates()` Return the coordinates for this player as ChunkCoordinates.
`void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)` Reads a tile entity from NBT.
`void` | `sendChatToPlayer(String par1Str)`
`void` | `setCommand(String par1Str)` Sets the command this block will execute when powered.
`String` | `translateString(String par1Str, Object... par2ArrayOfObj)` Translates and formats the given string key with the given arguments.
`void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)` Writes a tile entity to NBT.

Methods inherited from class net.minecraft.tileentity.TileEntity
`addMapping, canUpdate, createAndLoadEntity, func_70309_m, func_82115_m, func_85027_a, getBlockMetadata, getBlockType, getDistanceFrom, getWorldObj, invalidate, isInvalid, onChunkUnload, onDataPacket, onInventoryChanged, receiveClientEvent, setWorldObj, shouldRefresh, updateContainingBlockInfo, updateEntity, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TileEntityCommandBlock

    public TileEntityCommandBlock()

Method Detail

### setCommand

    public void setCommand(String par1Str)

  Sets the command this block will execute when powered.

### getCommand

    public String getCommand()

### executeCommandOnPowered

    public void executeCommandOnPowered(World par1World)

  Execute the command, called when the command block is powered.

### getCommandSenderName

    public String getCommandSenderName()

  Gets the name of this command sender (usually username, but possibly "Rcon")

  Specified by:
    `getCommandSenderName` in interface `ICommandSender`

### sendChatToPlayer

    public void sendChatToPlayer(String par1Str)

  Specified by:
    `sendChatToPlayer` in interface `ICommandSender`

### canCommandSenderUseCommand

    public boolean canCommandSenderUseCommand(int par1,
                                              String par2Str)

  Returns true if the command sender is allowed to use the given command.

  Specified by:
    `canCommandSenderUseCommand` in interface `ICommandSender`

### translateString

    public String translateString(String par1Str,
                                  Object... par2ArrayOfObj)

  Translates and formats the given string key with the given arguments.

  Specified by:
    `translateString` in interface `ICommandSender`

### writeToNBT

    public void writeToNBT(NBTTagCompound par1NBTTagCompound)

  Writes a tile entity to NBT.

  Overrides:
    `writeToNBT` in class `TileEntity`

### readFromNBT

    public void readFromNBT(NBTTagCompound par1NBTTagCompound)

  Reads a tile entity from NBT.

  Overrides:
    `readFromNBT` in class `TileEntity`

### getPlayerCoordinates

    public ChunkCoordinates getPlayerCoordinates()

  Return the coordinates for this player as ChunkCoordinates.

  Specified by:
    `getPlayerCoordinates` in interface `ICommandSender`

### getDescriptionPacket

    public Packet getDescriptionPacket()

  Overriden in a sign to provide the text.

  Overrides:
    `getDescriptionPacket` in class `TileEntity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD